This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 841658 - notification-daemon crashes when notify-send used with transient option
notification-daemon crashes when notify-send used with transient option
Status: CLOSED DUPLICATE of bug 822773
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On: 822773
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 14:52 EDT by Jan Pokorný
Modified: 2013-08-01 17:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 822773
Environment:
Last Closed: 2013-07-31 19:28:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2012-07-19 14:52:22 EDT
+++ This bug is clone of Bug #822773 +++

Description of problem:

The notification-daemon dies when notify-send is used with a transient hint.
The problem description given is 'Process /usr/libexec/notification-daemon was
killed by signal 5 (SIGTRAP)'.

***** A Debian patch has been created that fixes this problem, which is linked
from here: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=636323 *****

This cause of this problem seems to be that the notification-daemon cannot be
passed these boolean flag values as ints (or any other type other than bools),
but the notify-send API forces them to be sent this way.

How reproducible:

Send a notification using notify-send and try to make it transient.

Steps to Reproduce:
1. Open a terminal
2. Type su username -c "notify-send --hint=int:transient:1 Test"
   (replacing username with your username)
[JP edit: you actually do not need to notify-send as root]
3. Watch the notification-daemon die
  
Additional info:

This might be linked to bug 790320.
Comment 1 Jan Pokorný 2012-07-19 15:04:03 EDT
This bug is also present in Fedora 17.

$ rpm -qf /usr/libexec/notification-daemon 
notification-daemon-0.7.4-1.fc17.x86_64

$ rpm -qf $(ldd /usr/libexec/notification-daemon | grep '=> /' \
            | sed -e 's/.*=>\([^(]*\)(.*/\1/g') \
  | sort | uniq
atk-2.4.0-1.fc17.x86_64
cairo-1.10.2-7.fc17.x86_64
cairo-gobject-1.10.2-7.fc17.x86_64
expat-2.1.0-1.fc17.x86_64
fontconfig-2.8.0-7.fc17.x86_64
freetype-2.4.8-3.fc17.x86_64
gdk-pixbuf2-2.26.1-1.fc17.x86_64
glib2-2.32.3-1.fc17.x86_64
glibc-2.15-37.fc17.x86_64
gtk3-3.4.4-1.fc17.x86_64
libcanberra-0.28-6.fc17.x86_64
libcanberra-gtk3-0.28-6.fc17.x86_64
libffi-3.0.10-2.fc17.x86_64
libogg-1.3.0-1.fc17.x86_64
libpng-1.5.10-1.fc17.x86_64
libselinux-2.1.10-3.fc17.x86_64
libtdb-1.2.10-15.fc17.x86_64
libtool-ltdl-2.4.2-3.fc17.x86_64
libvorbis-1.3.3-1.fc17.x86_64
libX11-1.5.0-2.fc17.x86_64
libXau-1.0.6-3.fc17.x86_64
libxcb-1.8.1-1.fc17.x86_64
libXcomposite-0.4.3-3.fc17.x86_64
libXcursor-1.1.13-1.fc17.x86_64
libXdamage-1.1.3-3.fc17.x86_64
libXext-1.3.1-1.fc17.x86_64
libXfixes-5.0-2.fc17.x86_64
libXi-1.6.1-1.fc17.x86_64
libXinerama-1.1.2-1.fc17.x86_64
libXrandr-1.3.1-3.fc17.x86_64
libXrender-0.9.7-1.fc17.x86_64
nss-softokn-freebl-3.13.4-2.fc17.x86_64
pango-1.30.0-1.fc17.x86_64
pixman-0.24.4-2.fc17.x86_64
zlib-1.2.5-6.fc17.x86_64

For a more informative backtrace, please see [bug 803872 comment 4]
-- first 12 frames is enough (I also got other cases, but they share
these top 12 frames).
I've discovered this issue in relation to that other bug (after its fix),
but actually it is definitely an instance of this one.

To be noted that "notify-send --hint=int:transient:1 msg" always used
to work well back in F15 and also early in F16 as far as I can say.
Side-question: is there any other way/workaround to mimic such desired
behavior?
Comment 3 Fedora Admin XMLRPC Client 2013-03-06 07:25:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-07-03 17:55:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:28:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Jan Pokorný 2013-08-01 17:07:01 EDT

*** This bug has been marked as a duplicate of bug 822773 ***

Note You need to log in before you can comment on or make changes to this bug.